## cawbird 1.3.1

=== meson_options.txt ===
option('video',      type: 'boolean', value: 'true')
option('spellcheck', type: 'boolean', value: 'true')
option('examples',   type: 'boolean', value: 'false')
option('appdata',    type: 'boolean', value: 'true')
option('x11',        type: 'boolean', value: 'true')

## cawbird 1.0

=== debian/changelog ===
cawbird (1.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Sep 2019 19:41:55 -0700

cawbird (1.0-1+2.1) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 31 Aug 2019 12:38:09 +0000

cawbird (1.0.1-1) stable; urgency=low

  * Fix search with non-alphanumeric characters
  * Redesign logo in a Tango style
  * Migrates DMs, filters and snippets from old Corebird accounts

 -- IBBoard <dev@ibboard.co.uk>  Sat, 10 Aug 2019 15:15:00 +0100

cawbird (1.0-1) stable; urgency=low

  * Initial build of Cawbird Twitter client on OBS

 -- IBBoard <dev@ibboard.co.uk>  Sat, 10 Aug 2019 15:15:00 +0100

=== debian/control ===
Source: cawbird
Section: Network
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: IBBoard <dev@ibboard.co.uk>
Build-Depends: debhelper (>= 9),
               gettext (>= 0.19.7),
               libglib2.0-dev (>= 2.44),
               libgspell-1-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev (>= 1.6),
               libgtk-3-dev (>= 3.20),
               libjson-glib-dev,
               libsoup2.4-dev,
               libsqlite3-dev,
               libxml2-utils,
               meson,
               ninja-build,
               valac (>= 0.28)

Package: cawbird
Architecture: any
Depends: gstreamer1.0-gtk3,
         gstreamer1.0-plugins-good,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-noto-color-emoji | fonts-symbola, gstreamer1.0-libav
Description: A lightweight Twitter Client, forked from Corebird
 Cawbird is a native Twitter client, integrating into GNOME 3.
 It has been forked from Baedert's Corebird Twitter client.

Package: cawbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: cawbird (= ${binary:Version}), ${misc:Depends}
Enhances: cawbird
Description: Twitter client (debugging symbols)
 Cawbird is a native Twitter client, integrating into GNOME 3.
 It has been forked from Baedert's Corebird Twitter client.
 This package contains files required for producing useful
 stack traces when debugging Cawbird.

## cawbird 1.0.3.1

=== debian/changelog ===
cawbird (1.0.3.1-1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 10 Dec 2019 19:32:25 -0800

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,9 @@
 Depends: gstreamer1.0-gtk3,
          gstreamer1.0-plugins-good,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fonts-noto-color-emoji | fonts-symbola, gstreamer1.0-libav
+         ${shlibs:Depends},
+         fonts-noto-color-emoji | fonts-symbola,
+         gstreamer1.0-libav
 Description: A lightweight Twitter Client, forked from Corebird
  Cawbird is a native Twitter client, integrating into GNOME 3.
  It has been forked from Baedert's Corebird Twitter client.

## cawbird 1.0.4

=== debian/changelog ===
cawbird (1.0.4-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Jan 2020 17:06:50 -0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	meson --prefix /usr --buildtype=plain debian/build

override_dh_auto_build:
	ninja -v -C debian/build

override_dh_strip:
	dh_strip --dbg-package=cawbird-dbg

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/cawbird ninja -C debian/build install

override_dh_auto_test:
	meson test -v -C debian/build engine-tests

override_dh_auto_clean:
	rm -fr debian/build

## cawbird 1.0.5.3

=== debian/changelog ===
cawbird (1.0.5.3-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Patch emoji selector to work with GTK >= 3.22.19
    - Update Italian and Danish translations
    - Improved image scaling to handle portrait monitors
    - Fixed parsing/display of some old tweets with bad encoding
    - Fixed URL encoding issues in user profiles breaking URL display
    - Removed case-sensitive filtering of @-handle in mentions so all mentions
      now show
    - Fixed segfault on CentOS 8 due to a bug in how RHEL/CentOS patch a glib
      function for FIPS compliance
    - Added dark mode toggle in settings (#67)
    - Improved error messages so that they're not just "Forbidden" or
      "Not Found"
    - Protected accounts are now marked with a padlock
    - Made tweet timestamps into links to twitter.com
    - Added @-handle next to display name for retweets
    - Un-dimmed some labels to improve accessibility
    - Added tooltips for usernames, @-handles and Twitter client names
    - DM composition area can now be resized
    - Tidied up CSS to remove warnings

  * debian/control: now requires libgtk-3-dev (≥ 3.22)
  * Disable -dbg and automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 May 2020 09:46:29 -0700

cawbird (1.0.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Jan 2020 17:06:50 -0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgspell-1-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev (>= 1.6),
-               libgtk-3-dev (>= 3.20),
+               libgtk-3-dev (>= 3.22),
                libjson-glib-dev,
                libsoup2.4-dev,
                libsqlite3-dev,
@@ -29,15 +29,3 @@
 Description: A lightweight Twitter Client, forked from Corebird
  Cawbird is a native Twitter client, integrating into GNOME 3.
  It has been forked from Baedert's Corebird Twitter client.
-
-Package: cawbird-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: cawbird (= ${binary:Version}), ${misc:Depends}
-Enhances: cawbird
-Description: Twitter client (debugging symbols)
- Cawbird is a native Twitter client, integrating into GNOME 3.
- It has been forked from Baedert's Corebird Twitter client.
- This package contains files required for producing useful
- stack traces when debugging Cawbird.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	ninja -v -C debian/build
 
 override_dh_strip:
-	dh_strip --dbg-package=cawbird-dbg
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_install:
 	DESTDIR=${CURDIR}/debian/cawbird ninja -C debian/build install

## cawbird 1.4

=== debian/changelog ===
cawbird (1.4-1mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 May 2021 15:05:02 -0700

cawbird (1.4-1) stable; urgency=low

  * Fixes:
    - Fixed repeat notifications due to message overlap (which we do to avoid
      missing messages!
    - Fixed handling of links with ampersands in them
    - Fixed handling of Twitter video URLs with ampersands in them
    - Fixed cropping of tweets in timelines, particularly in narrow windows
    - Fixed handling of translations so that it works in environments like
      Flatpak
  * Improvements:
    - Added Normal/Large/X-Large/XX-Large text sizes
    - Added "Translate Content" option to tweets with option of using Google,
      Bing, DeepL or custom providers
    - Better counting of ZWJ emoji - Cawbird now passes Twitter's own compliance
      tests
    - Added Scottish Gaelic translations (thanks to @gaidheileamail1)
    - All strings in the UI are now translatable
    - Add a confirmation to delete draft tweet on Cancel
    - Made threaded tweets more obvious by including "Reply to" line for
      self-reply threads in timeline
    - Tweets are now added to your timeline when you follow a user (and hidden
      when you unfollow them)
    - Improved rendering lag when focussing and unfocussing Cawbird
    - Improved spacing and alignment of images and added a border to define
      edges
    - Added the ability to temporarily show a blocked or muted account
    - Reduced the size of the info icon for the image description notification
      to avoid it obscuring too much of the image
    - Swapped to using the 😀 smiley for emoji input rather than 🐧 to be
      consistent with other applications and platforms
  * Developer:
    - Make it easier to build Cawbird with custom Twitter secrets so that distro
      builds don't consume the new (June 2019) 100,000 requests per day per app
      limits
    - Added an option to use local translation files rather than the system
      ones, for debugging without installation
    - Added a `-Dmswindows=true` config flag to allow builds that work with
      Windows's broken "mimetypes are just file extensions" behaviour

 -- IBBoard <dev@ibboard.co.uk>  Sat, 01 May 2021 11:00:00 +0100

cawbird (1.3.2-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Mar 2021 06:07:06 -0800

cawbird (1.3.1-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Jan 2021 10:07:16 -0800

cawbird (1.3-1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Apply filtering across all feeds (including search)
    - Apply changes to filtering, muting, blocking and hiding RTs across all
      feeds instantly
    - Allow the filtering of mentioned @-handles
    - Load media in DMs and linkify users and hashtags
    - Added ability to send media in DMs
    - Added ability to delete DMs
    - Load older DMs
    - Add ability to upload videos and larger animated GIFs
    - Use HTTPS avatars throughout
    - Translations: Dutch and Danish (complete), Italian and French
    - More accessible approach to loading "replied to" tweets
    - Improved user completion behaviour and interaction with user completion
      list
    - Added outline to media upload indicator to make it clearer on light images
    - Remove whitespace around tweets (e.g. when user has new lines and then a
      quoted URL or media that we're displaying)
    - Allow Compose view to shrink to narrower screens (e.g. for PinePhone)
    - Fix DM load order
    - Fix missing "reply" icon by providing our own
    - Fixed crashes when playing video
    - Avoid a crash when returned JSON is invalid
    - Fixed widget height calculations for responsive and non-responsive views
    - Fixed layout when starting in responsive width
    - Avoid an unnecessary request for tweets when loading timelines
    - Fixed completion query for known users
    - Fixed various run-time and compiler warnings
    - Fixed handling of command-line parameters 
    - Added "appdata" build config to allow building on platforms without
      AppStream
    - Changed Meson configuration and instructions to allow running dev version
      without installing

  * Add liboauth-dev to build-depends.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Jan 2021 10:09:38 -0800

cawbird (1.2.1-1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Fix crashes when images do not load correctly
    - Fix crashes when high-res image loads after dialog closes
    - Improve rendering of @-handles in mixed right-to-left/left-to-right text

  * Bump to dh compat 10 and remove "--parallel" build flag from d/rules.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Sep 2020 12:10:02 -0700

cawbird (1.2.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add librest-dev to BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Sep 2020 18:19:55 -0700

cawbird (1.2.0-1) stable; urgency=low

  * New upstream release:
    - Resolved major accessibility issue with timelines and improved other bits
      of accessibility by naming/describing widgets (#143)
    - Added ability to read descriptions on images (#11)
    - Added ability to add descriptions to images when posting (#10)
    - Reduced notifications when first logging in (#137)
    - Window can now be reduced to a narrower width and has a "responsive"
      layout for tweets (#57)
    - Reduce memory usage by loading smaller (600px) thumbnails and only loading
      images on demand (#142). Also reduces bandwidth use (especially with
      images disabled)
    - Let image sets loop back to start, and show progress through images (#172)
    - Made "Replying to" on Tweet info page list all users (including
      self-reply) so that it is more obvious when the tweet is part of a
      thread (#158)
    - Reworked @-mention completion so that it works with multilingual text


## cawbird 1.4.1

=== debian/changelog ===
cawbird (1.4.1-1mx21+1) mx; urgency=medium

  * New upstream release: Hotfix to correct "Send" button state issues for
    direct messages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Jun 2021 14:04:16 -0700

cawbird (1.4-1mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 May 2021 15:05:02 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,27 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
-	meson --prefix /usr --buildtype=plain debian/build
+	meson --prefix /usr --buildtype=plain debian/build \
+		-Dconsumer_key_base64=a1hVdm9YWGY0WnkxOUNKczlEVDBHRGVYcQ== \
+		-Dconsumer_secret_base64=Y2ZxS3F0cHNkanp6Q0hzeTEzY2pHSmpxMlNta3Fvd2VWdDZoVzY3cXFyNnVrV2xPc2k=
+
+override_dh_auto_build:
+	ninja -v -C debian/build
+
+override_dh_strip:
+	dh_strip --dbg-package=cawbird-dbg
+
+override_dh_auto_install:
+	DESTDIR=${CURDIR}/debian/cawbird ninja -C debian/build install
+
+override_dh_auto_test:
+	meson test -v -C debian/build engine-tests
+
+override_dh_auto_clean:
+	rm -fr debian/build
 
 override_dh_auto_build:
 	ninja -v -C debian/build

## cawbird 1.4.2

=== meson_options.txt ===
--- 
+++ 
@@ -3,3 +3,7 @@
 option('examples',   type: 'boolean', value: 'false')
 option('appdata',    type: 'boolean', value: 'true')
 option('x11',        type: 'boolean', value: 'true')
+option('localtextdomain', type: 'boolean', value: 'false', description: 'Use local translation files rather than those installed in `prefix`' )
+option('consumer_key_base64', type: 'string', description: 'base64 encoding of the Twitter consumer key')
+option('consumer_secret_base64', type: 'string', description: 'base64 encoding of the Twitter consumer secret')
+option('mswindows',  type: 'boolean', value: 'false')

=== debian/changelog ===
cawbird (1.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #979241)

 -- Federico Ceratto <federico@debian.org>  Sun, 09 Jan 2022 18:27:49 +0000

=== debian/control ===
Source: cawbird
Section: x11
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 13),
 gstreamer1.0-libav,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.44),
 libgspell-1-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.22),
 libhandy-1-dev,
 libjson-glib-dev,
 liboauth-dev,
 liboauth-dev,
 librest-dev,
 libsoup2.4-dev,
 libsqlite3-dev,
 meson,
 valac,
# to run the tests
 at-spi2-core <!nocheck>,
 dbus-x11 <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://github.com/IBBoard/cawbird
Vcs-Browser: https://salsa.debian.org/debian/cawbird
Vcs-Git: https://salsa.debian.org/debian/cawbird.git
Rules-Requires-Root: no

Package: cawbird
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Twitter client
 A lightweight Twitter client for desktops and small
 screen devices.
 Cawbird is a fork of the Twitter client Corebird.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# --parallel does not make the build faster
%:
	dh $@ --builddirectory=_build

override_dh_install:
	true

override_dh_auto_clean:
	rm -fr debian/build

override_dh_auto_configure:
	meson --prefix /usr --buildtype=plain debian/build \
		-Dconsumer_key_base64=VmY5dG9yRFcyWk93MzJEZmhVdEk5Y3NMOA== \
		-Dconsumer_secret_base64=MThCRXIxbWRESDQ2Y0podzVtVU13SGUyVGlCRXhPb3BFRHhGYlB6ZkpybG5GdXZaSjI=

override_dh_auto_build:
	ninja -v -C debian/build

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/cawbird ninja -C debian/build install

override_dh_auto_test:
	meson test -v -C debian/build engine-tests
#ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
#	mkdir -p /tmp/cawbird-build/.config/cawbird
#	LC_ALL=C.UTF-8 GSETTINGS_SCHEMA_DIR=data HOME=/tmp/cawbird-build xvfb-run -a ninja -C _build test
#	rm -rf /tmp/cawbird-build
#endif

=== debian/tests/control ===
Test-Command: xvfb-run timeout -k2 5 /usr/bin/cawbird
Restrictions: superficial
Depends: cawbird, xvfb, xauth

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cawbird-$1\.tar\.gz/ \
  https://github.com/IBBoard/cawbird/tags .*/v?(\d\.\d\.\d*)\.tar\.gz

## cawbird 1.5

=== debian/changelog ===
cawbird (1.5-1mx21+1) mx; urgency=medium

  * New upstream release:
    - Building on the "look after yourself" message in v1.3 and the inclusive
      internationalisation in v1.4, Cawbird 1.5 is being released in the context
      of the increasing importance of combatting disinformation following
      Putin's atrocities in Ukraine. 
   - New features:
     - Cleanly and clearly handle "witheld" accounts, and hide witheld tweets 
     - Added a button to "reload image" for any images that fail to load
   - Fixes:
     - Capture events so that "reload image" doesn't go to tweet view in
       single-click activation mode
     - Fix emoji chooser in non-English locales
     - Remove link to quoted tweet from timeline display
     - Support paging of blocked profiles so that users with lots of blocks
       don't see unwanted content, or get crashes on blocking
     - Fix overly long click zone for cropped images
   - Improvements:
     - Set `StartupNotify=true` in desktop file to improve desktop integration,
       especially on mobile
     - Focus returns to the text input box after inserting an emoji
     - Update Danish, Dutch, Gaelic, Brazilian Portuguese and Spanish
       translations
   - Developer:
     - Don't assume that `~/.config` exists
     - Use slashes in dconf path instead of dots

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Mar 2022 14:36:22 -0700

cawbird (1.4.2-1mx21+1) mx; urgency=medium

  * New upstream release: 
    - Fixes:
       Fixed crash when opening DMs if one of the DMs had entities defined out
        of order in the JSON (#391)
       Fixed crash when first creating an account due to null account
        object (#399)
       Alter emoji data checking to support changes with recent GTK 3.24
        versions (#392)
    - Improvements:
       Updated French and English translations

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 Dec 2021 15:12:43 -0800

=== debian/control ===
Source: cawbird
Section: Network
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: IBBoard <dev@ibboard.co.uk>
Build-Depends: debhelper (>= 11),
               gettext (>= 0.19.7),
               libglib2.0-dev (>= 2.44),
               libgspell-1-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev (>= 1.6),
               libgtk-3-dev (>= 3.22),
               libjson-glib-dev,
               liboauth-dev,
               librest-dev,
               libsoup2.4-dev,
               libsqlite3-dev,
               libxml2-utils,
               meson,
               ninja-build,
               valac (>= 0.28)

Package: cawbird
Architecture: any
Depends: fonts-noto-color-emoji | fonts-symbola,
         gstreamer1.0-gtk3,
         gstreamer1.0-libav,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-good,
         ${misc:Depends},
         ${shlibs:Depends}
Description: A lightweight Twitter Client, forked from Corebird
 Cawbird is a native Twitter client, integrating into GNOME 3.
 It has been forked from Baedert's Corebird Twitter client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	meson --prefix /usr --buildtype=plain debian/build \
		-Dconsumer_key_base64=a1hVdm9YWGY0WnkxOUNKczlEVDBHRGVYcQ== \
		-Dconsumer_secret_base64=Y2ZxS3F0cHNkanp6Q0hzeTEzY2pHSmpxMlNta3Fvd2VWdDZoVzY3cXFyNnVrV2xPc2k=

override_dh_auto_build:
	ninja -v -C debian/build

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/cawbird ninja -C debian/build install

override_dh_auto_test:
	meson test -v -C debian/build engine-tests

override_dh_auto_clean:
	rm -fr debian/build
